package com.ytpm.service;

import com.ytpm.advertise.param.ChannelAppParam;
import com.ytpm.agent.param.ChannelListParam;
import com.ytpm.agent.param.ChannelParam;
import com.ytpm.agent.view.AgentChannelView;
import com.ytpm.general.Result;
import com.ytpm.general.ResultTable;

public interface ChannelService {
    /**
     * 获取渠道商列表
     */
    ResultTable<AgentChannelView> channelList(ChannelListParam param);

    /**
     * 新增广告渠道
     */
    Result<?> addOne(ChannelParam param);

    /**
     * 修改广告渠道
     */
    Result<?> updateOne(ChannelParam param);

    /**
     * 删除广告渠道
     */
    Result<?> deleteOne(String channelId);

    /**
     * 过滤指定app已经关联过的渠道
     */
    ResultTable<AgentChannelView>  relativeChannel(ChannelAppParam param);
}
